package com.ho.business.mapper;

import com.ho.business.entity.DynamicConfig;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Mapper
public interface DynamicConfigMapper {

    /**
     * 批量插入数据
     * @param list
     * @return
     */
    int insertList(@Param("list") List<DynamicConfig> list);

    /**
     * 批量更新数据
     * @param list
     * @return
     */
    int updateList(@Param("list") List<DynamicConfig> list);

    /**
     * 根据条件查询配置数据
     * @param config
     * @return
     */
    List<DynamicConfig> selectByParam(DynamicConfig config);

    /**
     * 根据id删除配置信息
     * @param ids
     * @return
     */
    int deleteByIds(@Param("ids") List<Integer> ids);

    /**
     * 根据曲线id删除配置信息
     * @param ids
     * @return
     */
    int deleteByCurveIds(@Param("ids") List<Integer> ids);

    /**
     * 根据配置点id删除配置信息
     * @param ids
     * @return
     */
    int deleteByPointIds(@Param("ids") List<Integer> ids);

    /**
     * 根据电站id删除配置信息
     * @param stationId
     * @return
     */
    int deleteByStationId(Integer stationId);
}
